//
// HUD System Demo
//

new state = 0;

//
// OnInit
//
// Called at game startup. Creates a new patch widget for the HUD and
// sets the AnimCB callback running every half second.
//
public OnInit()
{
   _NewPatchWidget("ImpSexPic", "IMPSE1", 160, 100);
   _SetCallback("AnimCB", _SWAIT_DELAY, 18);
}

//
// OnHUDStart
//
// Called whenever the HUD resets itself. Sets the new widget to its initial
// state.
//
public OnHUDStart()
{      
   state = 0;
}

//
// OnHUDPreDraw
//
// Called immediately before HUD elements are drawn to the screen. This is the 
// safest time to alter HUD picture properties.
//
public OnHUDPreDraw()
{
   if(state == 0)
      _SetWidgetPatch("ImpSexPic", "IMPSE1");
   else
      _SetWidgetPatch("ImpSexPic", "IMPSE2");
}

//
// AnimCB
//
// Called every half second, this function inverts the state of the animation.
// The actual pic change is done above, however, so that the graphics will 
// always be cleared correctly.
//
public AnimCB()
{
   state ^= 1;
   _SetCallback("AnimCB", _SWAIT_DELAY, 18);
}
